import { tap, expect } from '@push.rocks/tapbundle';

import * as cloudlyApiClient from '../ts_apiclient/index.js';

let testClient: cloudlyApiClient.CloudlyApiClient;

tap.test('should create a new cloudlyApiClient', async () => {
  testClient = new cloudlyApiClient.CloudlyApiClient({
    registerAs: 'api',
    cloudlyUrl: 'http://localhost:3000',
  });
  // await testClient.start();
  expect(testClient).toBeTruthy();
});

tap.test('should get an identity', async () => {
  const identity = await testClient.getIdentityByJumpCode('test');
  expect(identity).toBeTruthy();
});

tap.test('should trigger a server action', async () => {
  
})

tap.test('should stop the apiclient', async (toolsArg) => {
  await toolsArg.delayFor(1000);
  await testClient.stop();
})

export default tap.start();